#pragma once

#include "CoreMinimal.h"
#include "GrantedRewardPopupViewData.h"
#include "RewardListRewardPopupViewData.generated.h"

class URewardWrapperRewardPopupViewData;

UCLASS(Blueprintable)
class DBDUIVIEWINTERFACES_API URewardListRewardPopupViewData : public UGrantedRewardPopupViewData
{
	GENERATED_BODY()

public:
	UPROPERTY(BlueprintReadWrite, Transient)
	TArray<URewardWrapperRewardPopupViewData*> RewardList;

public:
	URewardListRewardPopupViewData();
};

FORCEINLINE uint32 GetTypeHash(const URewardListRewardPopupViewData) { return 0; }
